REM =================================================================
REM support disk  collecting disk information logs.
REM =================================================================
REM arg1 = output directory.
echo start collecting support disk information.
set supportlogdir=%~f1

set /p prompt=collecting disk info ... <NUL
md %supportlogdir%
powershell "Get-Disk" > %supportlogdir%\%COMPUTERNAME%_get-disk.txt 2>&1
powershell "Get-Disk | select *" > %supportlogdir%\%COMPUTERNAME%_get-disk-detail.txt 2>&1
powershell "Get-PhysicalDisk" > %supportlogdir%\%COMPUTERNAME%_get-physicaldisk.txt 2>&1
powershell "Get-PhysicalDisk | select *" > %supportlogdir%\%COMPUTERNAME%_get-physicaldisk-detail.txt 2>&1
powershell "Get-VirtualDisk" > %supportlogdir%\%COMPUTERNAME%_get-virtualdisk.txt 2>&1
powershell "Get-VirtualDisk | select *" > %supportlogdir%\%COMPUTERNAME%_get-virtualdisk-detail.txt 2>&1
powershell "Get-StoragePool" > %supportlogdir%\%COMPUTERNAME%_get-storagepool.txt 2>&1
powershell "Get-StoragePool | select *" > %supportlogdir%\%COMPUTERNAME%_get-storagepool-detail.txt 2>&1
powershell "Get-StorageTier" > %supportlogdir%\%COMPUTERNAME%_get-storagetier.txt 2>&1
powershell "Get-StorageTier | select *" > %supportlogdir%\%COMPUTERNAME%_get-storagetier-detail.txt 2>&1
powershell "Get-StorageJob" > %supportlogdir%\%COMPUTERNAME%_get-storagejob.txt 2>&1
powershell "Get-StorageJob | select *" > %supportlogdir%\%COMPUTERNAME%_get-storagejob-detail.txt 2>&1
powershell "Get-Partition" > %supportlogdir%\%COMPUTERNAME%_get-partition.txt 2>&1
powershell "Get-Partition | select *" > %supportlogdir%\%COMPUTERNAME%_get-partition-detail.txt 2>&1
powershell "Get-Volume" > %supportlogdir%\%COMPUTERNAME%_get-volume.txt 2>&1
powershell "Get-Volume | select *" > %supportlogdir%\%COMPUTERNAME%_get-volume-detail.txt 2>&1
powershell "Get-StorageEnclosure" > %supportlogdir%\%COMPUTERNAME%_get-storageenclosure.txt 2>&1
powershell "Get-StorageEnclosure | select *" > %supportlogdir%\%COMPUTERNAME%_get-storageenclosure-detail.txt 2>&1
powershell "Get-StorageFaultDomain" > %supportlogdir%\%COMPUTERNAME%_get-storagefaultdomain.txt 2>&1
powershell "Get-StorageFaultDomain | select *" > %supportlogdir%\%COMPUTERNAME%_get-storagefaultdomain-detail.txt 2>&1
powershell "Get-StorageSubsystem" > %supportlogdir%\%COMPUTERNAME%_get-storagesubsystem.txt 2>&1
powershell "Get-StorageSubsystem | select *" > %supportlogdir%\%COMPUTERNAME%_get-storagesubsystem-detail.txt 2>&1
powershell "Get-DedupStatus" > %supportlogdir%\%COMPUTERNAME%_get-dedupstatus.txt 2>&1
powershell "Get-DedupStatus | select *" > %supportlogdir%\%COMPUTERNAME%_get-dedupstatus-detail.txt 2>&1

%libdir%\dosdev.exe -a > %supportlogdir%\%COMPUTERNAME%_dosdev.txt 2>&1
%libdir%\SAN6.3.0.1\Win32\san.exe /d %supportlogdir% > NUL 2>&1
%libdir%\SAN6.3.0.1\Win32\san.exe /s %supportlogdir% > NUL 2>&1
%libdir%\SAN6.3.0.1\Win32\san.exe /h %supportlogdir% > NUL 2>&1

diskpart /s %libdir%\diskpart-info.txt > %supportlogdir%\%COMPUTERNAME%_diskpart-info.txt 2>&1
mountvol > %supportlogdir%\%COMPUTERNAME%_mountvol.txt 2>&1
manage-bde -status > %supportlogdir%\%COMPUTERNAME%_manage-bde_status.txt 2>&1

if EXIST c:\windows\system32\mpclaim.exe (
mpclaim -s -d > %supportlogdir%\%COMPUTERNAME%_mpclaim-s-d.txt 2>&1
for /f "usebackq" %%i in (`powershell.exe -command "Get-CimInstance -Namespace root\wmi -Classname MPIO_DISK_INFO | ForEach-Object {$_.NumberDrives}"`) do (
   for /l %%j IN (1,1,%%i) do (
      set /a count=%%j-1
      mpclaim -s -d !count! >> %supportlogdir%\%COMPUTERNAME%_mpclaim-s-d-all.txt 2>&1
   )
)
)

net session > %supportlogdir%\%COMPUTERNAME%_net_session.txt 2>&1
OPENFILES /Query /FO csv /V > %supportlogdir%\%COMPUTERNAME%_openfiles.txt 2>&1

echo done.