REM =================================================================
REM support network  collecting network information logs.
REM =================================================================
REM arg1 = output directory.
echo start collecting support network information.
set supportlogdir=%~f1

set /p prompt=Start network info ... <NUL
md %supportlogdir% > NUL 2>&1
netstat -ano > %supportlogdir%\%COMPUTERNAME%_netstat.txt 2>&1
ipconfig /all > %supportlogdir%\%COMPUTERNAME%_ipconfig-all.txt 2>&1
netsh advfirewall firewall show rule name=all > %supportlogdir%\%COMPUTERNAME%_advfirewall-rule-all.txt 2>&1
netsh advfirewall show allprofiles > %supportlogdir%\%COMPUTERNAME%_advfirewall-allprofiles.txt 2>&1
netsh advfirewall show global > %supportlogdir%\%COMPUTERNAME%_advfirewall-global.txt 2>&1
%libdir%\nvspbind.exe > %supportlogdir%\%COMPUTERNAME%_nvspbind.txt 2>&1
netsh interface tcp show global > %supportlogdir%\%COMPUTERNAME%_interface-tcp-show-global.txt 2>&1

md %supportlogdir%\etc > NUL 2>&1
xcopy /s C:\Windows\System32\drivers\etc\* %supportlogdir%\etc > NUL 2>&1
powershell "Get-NetAdapter | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapter.txt 2>&1
powershell "Get-NetAdapterAdvancedProperty | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterAdvancedProperty.txt 2>&1
powershell "Get-NetAdapterBinding | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterBinding.txt 2>&1
powershell "Get-NetAdapterChecksumOffload | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterChecksumOffload.txt 2>&1
powershell "Get-NetAdapterIPsecOffload | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterIPsecOffload.txt 2>&1
powershell "Get-NetAdapterLso | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterLso.txt 2>&1
powershell "Get-NetAdapterPacketDirect | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterPacketDirect.txt 2>&1
powershell "Get-NetAdapterRdma | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterRdma.txt 2>&1
powershell "Get-NetAdapterRsc | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterRsc.txt 2>&1
powershell "Get-NetIpAddress | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetIpAddress.txt 2>&1
powershell "Get-NetAdapterRss | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterRss.txt 2>&1
powershell "Get-NetIPv4Protocol | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetIPv4Protocol.txt 2>&1
powershell "Get-NetIPv6Protocol | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetIPv6Protocol.txt 2>&1
powershell "Get-NetLbfoTeam | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetLbfoTeam.txt 2>&1
powershell "Get-NetLbfoTeamMember | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetLbfoTeamMember.txt 2>&1
powershell "Get-NetLbfoTeamNic | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetLbfoTeamNic.txt 2>&1
powershell "Get-NetOffloadGlobalSetting | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetOffloadGlobalSetting.txt 2>&1
powershell "Get-NetPrefixPolicy | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetPrefixPolicy.txt 2>&1
powershell "Get-NetQosPolicy | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetQosPolicy.txt 2>&1
powershell "Get-NetRoute | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetRoute.txt 2>&1
powershell "Get-NetTcpConnection | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetTcpConnection.txt 2>&1
powershell "Get-NetTcpSetting | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetTcpSetting.txt 2>&1
powershell "Get-NetFirewallProfile | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetFirewallProfile.txt 2>&1
powershell "Get-NetFirewallRule | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetFirewallRule.txt 2>&1
powershell "Get-NetAdapterVMQ | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterVMQ.txt 2>&1
powershell "Get-NetAdapterVMQqueue | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NetAdapterVMQqueue.txt 2>&1
powershell "Get-VMNetworkAdapterTeamMapping -ManagementOS | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMNetworkAdapterTeamMapping.txt 2>&1
powershell "Get-VMNetworkAdapterVlan | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMNetworkAdapterVlan.txt 2>&1
echo done.