REM =================================================================
REM procmon    collecting Process Monotor log of Sysinternals.
REM =================================================================
REM arg1 = start or stop.
REM arg2 = output dir.

SETLOCAL ENABLEDELAYEDEXPANSION
set tracelogdir=%2
echo %1

set ARC=
echo %PROCESSOR_ARCHITECTURE% | findstr "64" > NUL
if %ERRORLEVEL% equ 0 (
   set ARC=64
)

if /i "%1" =="start" (
   if DEFINED boot (
      echo %tracelogdir% > %scriptlogdir%\procmon_logdir.txt
      start /I %libdir%\ProcessMonitor\procmon%ARC%.exe /AcceptEula /EnableBootLogging
      exit /b
   )
   start /I %libdir%\ProcessMonitor\procmon%ARC%.exe /AcceptEula /quiet /backingfile %tracelogdir%\%COMPUTERNAME%_procmon_%logdate%.pml /minimized
) else if /i "%1" =="stop" (
   if EXIST %scriptlogdir%\procmon_logdir.txt (
      for /f %%a in (%scriptlogdir%\procmon_logdir.txt) do (
         set procdir=%%a
         del %scriptlogdir%\procmon_logdir.txt
         )
      %libdir%\ProcessMonitor\procmon%ARC%.exe /ConvertBootLog !procdir!\%COMPUTERNAME%_procmon_boot_%logdate%.pml
   )
   %libdir%\ProcessMonitor\procmon%ARC%.exe /terminate
   echo Tracing has been stopped.
)
exit /b