REM =================================================================
REM support hyper-v  collecting hyper-v information logs.
REM =================================================================
REM arg1 = output directory.
echo start collecting support hyper-v information.
set supportlogdir=%~f1

if EXIST C:\Windows\system32\vmms.exe (
set /p prompt=Start Hyper-V info ... <NUL
md %supportlogdir% > NUL 2>&1

ver | findstr "7601 9200" > NUL
if !ERRORLEVEL! equ 0 (
  cscript %libdir%\showVmInfo.vbs > %supportlogdir%\%COMPUTERNAME%_showvminfo.txt 2>&1
) else (
  powershell.exe -File %LIBDIR%\HyperVBasicInfo.ps1 %supportlogdir% -executionpolicy remotesigned > NUL 2>&1
)
powershell.exe "Get-VM" > %supportlogdir%\%COMPUTERNAME%_Get-VM.txt 2>&1
powershell.exe "Get-VM | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VM-all.txt 2>&1
powershell.exe "Get-VMHost | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMHost.txt 2>&1
powershell.exe "Get-VMHostNumaNode | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMHostNumaNode.txt 2>&1
powershell.exe "Get-VM | Get-VMIntegrationService | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMIntegrationService.txt 2>&1
powershell.exe "Get-VM | Get-VMNetworkAdapter | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMNetworkAdapter.txt 2>&1
powershell.exe "Get-VM | Get-VMNetworkAdapterVlan | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMNetworkAdapterVlan.txt 2>&1
powershell.exe "Get-VM | Get-VMprocessor | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMprocessor.txt 2>&1
powershell.exe "Get-VM | Get-VMSnapshot | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMSnapshot.txt 2>&1
powershell.exe "Get-VM | Get-VMSecurity | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMSecurity.txt 2>&1
powershell.exe "Get-VMSwitch | select *" > %supportlogdir%\%COMPUTERNAME%_Get-VMSwitch.txt 2>&1
echo done.
)