REM =================================================================
REM support nfs  collecting nfs information logs.
REM =================================================================
REM arg1 = output directory.
echo start collecting support nfs information.
set supportlogdir=%~f1

if EXIST c:\windows\system32\nfsadmin.exe (
set /p prompt=Start NFS configuration ... <NUL
md %supportlogdir% > NUL 2>&1
nfsadmin server > %supportlogdir%\%COMPUTERNAME%_nfsadmin-server.txt 2>&1
nfsadmin client > %supportlogdir%\%COMPUTERNAME%_nfsadmin-client.txt 2>&1
nfsadmin mapping > %supportlogdir%\%COMPUTERNAME%_nfsadmin-mapping.txt 2>&1
powershell "Get-NfsMountedClient" > %supportlogdir%\%COMPUTERNAME%_Get-NfsMountedClient.txt 2>&1
powershell "Get-NfsNetgroupStore" > %supportlogdir%\%COMPUTERNAME%_Get-NfsNetgroupStore.txt 2>&1
powershell "Get-NfsOpenFile" > %supportlogdir%\%COMPUTERNAME%_Get-NfsOpenFile.txt 2>&1
powershell "Get-NfsServerConfiguration" > %supportlogdir%\%COMPUTERNAME%_Get-NfsServerConfiguration.txt 2>&1
powershell "Get-NfsSession" > %supportlogdir%\%COMPUTERNAME%_Get-NfsSession.txt 2>&1
powershell "Get-NfsShare | select *" > %supportlogdir%\%COMPUTERNAME%_Get-NfsShare.txt 2>&1
powershell "Get-NfsStatistics" > %supportlogdir%\%COMPUTERNAME%_Get-NfsStatistics.txt 2>&1
nfsshare > %supportlogdir%\%COMPUTERNAME%_nfsshare.txt 2>&1
wmic /namespace:\\root\Microsoft\Windows\NFS path MSFT_NfsShare > %supportlogdir%\%COMPUTERNAME%_MSFT_NfsShare.txt 2>&1
for /f "tokens=1 usebackq delims==" %%i in (`nfsshare ^| findstr ^=`) do (
nfsshare %%i >> %supportlogdir%\%COMPUTERNAME%_nfsshare-all.txt 2>&1
echo ========================== >> %supportlogdir%\%COMPUTERNAME%_nfsshare-all.txt 2>&1
)
mount > %supportlogdir%\%COMPUTERNAME%_mount.txt 2>&1
echo done.
)