REM =================================================================
REM support registry  collecting registry information logs.
REM =================================================================
REM arg1 = output directory.
echo start collecting support registry information.
set supportlogdir=%~f1

set /p prompt=Copy Registry files ... <NUL
md %supportlogdir% > NUL 2>&1
reg export HKLM\System\mounteddevices %supportlogdir%\%COMPUTERNAME%_MountedDevices.reg > NUL 2>&1
reg save HKLM\System\mounteddevices %supportlogdir%\%COMPUTERNAME%_MountedDevices.hiv > NUL 2>&1
reg export HKLM\HARDWARE\DEVICEMAP %supportlogdir%\%COMPUTERNAME%_devicemap.reg > NUL 2>&1
reg save HKLM\HARDWARE\DEVICEMAP %supportlogdir%\%COMPUTERNAME%_devicemap.hiv > NUL 2>&1
reg export HKLM\Software\Policies %supportlogdir%\%COMPUTERNAME%_ComputerPolicies.reg > NUL 2>&1
reg save HKLM\Software\Policies %supportlogdir%\%COMPUTERNAME%_ComputerPolicies.hiv > NUL 2>&1
reg export HKCU\Software\Policies %supportlogdir%\%COMPUTERNAME%_UserPolicies.reg > NUL 2>&1
reg save HKCU\Software\Policies %supportlogdir%\%COMPUTERNAME%_UserPolicies.hiv > NUL 2>&1
reg load HKLM\COMPONENTS C:\Windows\System32\config\components > NUL 2>&1
reg save HKLM\COMPONENTS %supportlogdir%\%COMPUTERNAME%_COMPONENTS.hiv > NUL 2>&1
reg export HKLM\COMPONENTS %supportlogdir%\%COMPUTERNAME%_COMPONENTS.reg > NUL 2>&1
reg export HKLM\SYSTEM\CurrentControlSet %supportlogdir%\%COMPUTERNAME%_SYSTEM_CurrentControlSet.reg > NUL 2>&1
reg save HKLM\SYSTEM\CurrentControlSet %supportlogdir%\%COMPUTERNAME%_SYSTEM_CurrentControlSet.hiv > NUL 2>&1
reg save HKLM\SYSTEM\DriverDatabase %supportlogdir%\%COMPUTERNAME%_DriverDatabase.hiv > NUL 2>&1
reg export HKEY_CLASSES_ROOT\CID %supportlogdir%\%COMPUTERNAME%_cid.reg > NUL 2>&1
reg save HKEY_CLASSES_ROOT\CID %supportlogdir%\%COMPUTERNAME%_cid.hiv > NUL 2>&1
reg export HKEY_CLASSES_ROOT\CID.local %supportlogdir%\%COMPUTERNAME%_cid-local.reg > NUL 2>&1
reg save HKEY_CLASSES_ROOT\CID.local %supportlogdir%\%COMPUTERNAME%_cid-local.hiv > NUL 2>&1
reg export HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft %supportlogdir%\%COMPUTERNAME%_HKLM_SOFTWARE_Microsoft.reg > NUL 2>&1
reg save HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft %supportlogdir%\%COMPUTERNAME%_HKLM_SOFTWARE_Microsoft.hiv > NUL 2>&1
reg export HKCU\Software\Microsoft\Windows\CurrentVersion\StorageSense\Parameters\StoragePolicy %supportlogdir%\%COMPUTERNAME%_StorageSense.reg > NUL 2>&1
reg save HKCU\Software\Microsoft\Windows\CurrentVersion\StorageSense\Parameters\StoragePolicy %supportlogdir%\%COMPUTERNAME%_StorageSense.hiv > NUL 2>&1
reg export HKLM\SOFTWARE\Policies\Microsoft\Windows\StorageSense %supportlogdir%\%COMPUTERNAME%_StorageSenseGPO.reg > NUL 2>&1
reg save HKLM\SOFTWARE\Policies\Microsoft\Windows\StorageSense %supportlogdir%\%COMPUTERNAME%_StorageSenseGPO.hiv > NUL 2>&1
echo done.
