REM =================================================================
REM support setup  collecting setup information logs.
REM =================================================================
REM arg1 = output directory.
echo start collecting support setup information.
set supportlogdir=%~f1

set /p prompt=Collecting setup info and winlog files ... <NUL
md %supportlogdir% > NUL 2>&1
powershell.exe -command "Get-CimInstance Win32_QuickFixEngineering | Select-Object * | Sort-Object -Property InstalledOn | Format-Table -AutoSize -Wrap" > %supportlogdir%\%COMPUTERNAME%_qfe.txt 2>&1
Powershell "Get-HotFix | select *" > %supportlogdir%\%COMPUTERNAME%_get-hotfix.log 2>&1
md %supportlogdir%\CBS > NUL 2>&1
xcopy /s /e /c C:\Windows\Logs\CBS\* %supportlogdir%\CBS > NUL 2>&1
md %supportlogdir%\DISM > NUL 2>&1
xcopy /s /e /c C:\Windows\Logs\DISM\* %supportlogdir%\DISM > NUL 2>&1
md %supportlogdir%\WindowsServerBackup > NUL 2>&1
xcopy /s /e /c C:\Windows\Logs\WindowsServerBackup\* %supportlogdir%\WindowsServerBackup > NUL 2>&1
md %supportlogdir%\WindowsBackup > NUL 2>&1
xcopy /s /e /c C:\Windows\Logs\WindowsBackup\* %supportlogdir%\WindowsBackup > NUL 2>&1
md %supportlogdir%\setupcln > NUL 2>&1
xcopy /s /e /c C:\Windows\System32\LogFiles\setupcln\* %supportlogdir%\setupcln > NUL 2>&1
Copy %Windir%\WindowsUpdate.log %supportlogdir% > NUL 2>&1
Copy %Windir%\SoftwareDistribution\ReportingEvents.log %supportlogdir% > NUL 2>&1
Copy %Windir%\IE11_main.log %supportlogdir% > NUL 2>&1
Copy %Windir%\inf\setupapi.* %supportlogdir% > NUL 2>&1
Copy %Windir%\WinSXS\pending.xml.* %supportlogdir% > NUL 2>&1
Copy %Windir%\WinSXS\poqexec.log %supportlogdir% > NUL 2>&1
Copy %WinDir%\System32\LogFiles\SCM\*.EVM*  %supportlogdir% > NUL 2>&1
md %supportlogdir%\USOSharedLogs > NUL 2>&1
xcopy /s /e /c %programdata%\USOShared\Logs %supportlogdir%\USOSharedLogs > NUL 2>&1
BitsAdmin /list /AllUsers /Verbose > %supportlogdir%\%COMPUTERNAME%_BitsAdmin.log 2>&1
dir /t:c /a /s /c /n C:\ > %supportlogdir%\%COMPUTERNAME%_dir-Windows.log 2>&1
bcdedit /enum all > %supportlogdir%\%COMPUTERNAME%_BCDedit.log 2>&1
dism /Online /Get-intl > %supportlogdir%\%COMPUTERNAME%_Get_intl.log 2>&1
dism /Online /Get-Packages /Format:Table > %supportlogdir%\%COMPUTERNAME%_Get-Packages.log 2>&1
dism /Online /Get-Features /Format:Table > %supportlogdir%\%COMPUTERNAME%_Get-Features.log 2>&1
icacls C:\ > %supportlogdir%\%COMPUTERNAME%_c-driveicacls.log 2>&1
icacls %SystemRoot%\System32\config /t /c > %supportlogdir%\%COMPUTERNAME%_configicacls.log 2>&1
icacls %SystemRoot%\inf /t /c > %supportlogdir%\%COMPUTERNAME%_inficacls.log 2>&1
icacls %SystemRoot%\SoftwareDistribution /t /c > %supportlogdir%\%COMPUTERNAME%_SoftwareDistributionicacls.log 2>&1
icacls C:\Windows\winsxs\catalogs /t /c  > %supportlogdir%\%COMPUTERNAME%_Winsxsicacls.log 2>&1
sc queryex > %supportlogdir%\%COMPUTERNAME%_sc_queryex.log 2>&1
sc sdshow TrustedInstaller > %supportlogdir%\%COMPUTERNAME%_TrustedInstaller_sdshow.log 2>&1
sc sdshow wuauserv > %supportlogdir%\%COMPUTERNAME%_wuauserv_sdshow.log 2>&1
cscript c:\windows\system32\slmgr.vbs /dlv > %supportlogdir%\%COMPUTERNAME%_slmgr_dlv.log 2>&1

echo done.