REM =================================================================
REM MSDTC collection MS-DTC modules trace.
REM =================================================================
REM collecting MS-DTC Analystic logs
REM =================================================================
REM arg1 = start or stop.
REM arg2 = output dir.
REM arg3 = if boot mode is selected. (it is not supported boot option.)

SETLOCAL ENABLEDELAYEDEXPANSION
set tracelogdir=%2
echo %1
if /i "%1" =="start" (
  if DEFINED boot (
      ECHO boot option is not supported. please use "Boot Logging" of msdtc.exe.
      exit /b
   )
  echo start collecting msdtc trace.
  
  REM shsadash editted on 2021/03/29
  REM powershell.exe -File %LIBDIR%\MSDTC\EnableMSDTCTracing.ps1 -executionpolicy remotesigned > NUL 2>&1
  powershell.exe -File %LIBDIR%\MSDTC\EnableMSDTCTracing.ps1 -executionpolicy remotesigned %2


  echo start collecting Test-DTC.

  REM shsadash editted on 2021/03/29
  REM powershell.exe -File %LIBDIR%\MSDTC\TestMSDTC.ps1 -executionpolicy remotesigned > NUL 2>&1
  powershell.exe -File %LIBDIR%\MSDTC\TestMSDTC.ps1 -executionpolicy remotesigned %2


) else if /i "%1" =="stop" (
   powershell.exe -File %LIBDIR%\MSDTC\DisableMSDTCTracing.ps1! -executionpolicy remotesigned > NUL 2>&1

   echo Tracing has been stopped.
)
exit /b