REM =================================================================
REM psr    collecting Problems Steps Recorder log.
REM =================================================================
REM arg1 = start or stop.
REM arg2 = output dir
REM arg3 = Maximum log file size in MB

SETLOCAL ENABLEDELAYEDEXPANSION
set tracelogdir=%2
set maxsize=%3

if /i "%1" =="start" (
   if DEFINED boot (
      ECHO boot option is not supported.
      exit /b
   )

   ECHO Log folder is %tracelogdir%.
   ECHO Log size is %maxsize%.
   start psr /start /output %tracelogdir%\%COMPUTERNAME%_psr_%logdate%.zip /maxsc 999 /maxlogsize %maxsize% /gui 0
   exit /b
) else if /i "%1" =="stop" (
   psr /stop
   echo psr has been stopped.
   exit /b
) else (
   goto USAGE
)

:USAGE
   ECHO   psr    collecting Problems Steps Recorder log.
   ECHO   shacollector.bat psr start [output folder (default c:\mslog)]
   ECHO   shacollector.bat psr stop
exit /b
